## ros-melodic-gundam-rx78-gazebo 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gundam_rx78_gazebo)

find_package(catkin REQUIRED)

###################################
## catkin specific configuration ##
###################################
catkin_package()

#############
## Install ##
#############
install(DIRECTORY launch worlds test
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
   USE_SOURCE_PERMISSIONS
   )

#############
## Testing ##
#############
if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch roslint rostest)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

  add_rostest(test/test_gundam_spawn.launch)
  add_rostest(test/test_gundam_walk.launch)
  set(ROSLINT_PYTHON_OPTS --max-line-length=180)
  roslint_python()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-melodic-gundam-rx78-gazebo (0.0.3-1bionic) bionic; urgency=high

  * add more walking tests (#8 <https://github.com/gundam-global-challenge/gundam_robot/issues/8>)
    
      * update travis.yml
      * fix check_walk_pose.py to take target pos/ros as argument and also takes walking pattern fiels
    
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Mon, 27 Jan 2020 15:00:00 -0000

ros-melodic-gundam-rx78-gazebo (0.0.2-1bionic) bionic; urgency=high

  * Add more examples by @Naoki-Hiraoka (#6 <https://github.com/gundam-global-challenge/gundam_robot/issues/6>)
    
      * Merge https://github.com/gundam-global-challenge/gundam_robot/pull/4  with test code
      * add test to check walk-forward.csv
      * add gundam_rx78_walk.launch
      * install test directory
      * start gazebo simulation clock by default
      * Simplify URDF (simplify, scale and mergenode collada)
        - calculate mass property from convex_hull
        - fix check_position, now base_link is the center of foot
    
  * add test code and meta package (#5 <https://github.com/gundam-global-challenge/gundam_robot/issues/5>)
  * Contributors: Kei Okada, Naoki Hiraoka

 -- Kei Okada <kei.okada@gmail.com>  Sun, 19 Jan 2020 15:00:00 -0000

ros-melodic-gundam-rx78-gazebo (0.0.1-1bionic) bionic; urgency=high

  * Add first gundam gazebon simulator (#1 <https://github.com/gundam-global-challenge/gundam_robot/issues/1>)
    
      * comment out fast_foot because the origin of the house differs in kinetic and melodic
      * gundam_rx78_gazebo depends on gundam_rx78_control
      * update initial joint position, set paused=true as default
      * commit 2019/03/06 pinned & position controller version
    
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Sun, 30 Jun 2019 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-gundam-rx78-gazebo
Section: misc
Priority: extra
Maintainer: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch, ros-melodic-roslint, ros-melodic-rostest
Homepage: http://wiki.ros.org/gundam_rx78_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-gundam-rx78-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-fake-localization, ros-melodic-gazebo-plugins, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-control, ros-melodic-gundam-rx78-control, ros-melodic-gundam-rx78-description
Description: gundam_rx78_gazebo contains launch scripts for simulating the GUNDAM RX-78 robot in the gazebo simulation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-gundam-rx78-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
